Request signed upload
Requests a presigned upload URL using a signed upload intent token. Authorization is via the signed intent token, not OAuth scopes.
AuthorizationBearer <token>
JWT access token obtained via OAuth2 flow or service account
In: header
Header Parameters
Connect-Protocol-Version?number
Define the version of the Connect protocol
Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
signedIntentToken?string
Token from CreateSignedUploadIntentResponse.signed_intent_token
Length
1 <= length <= 4096filesizeBytes?string
validate:skip no bound the server enforces; checked only against the intent's max_filesize_bytes
Format
int64mimeType?string
Length
length <= 1024extension?string
Length
length <= 1024multipart?boolean
validate:skip a bool has no bounds
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/RequestSignedUpload" \ -H "Connect-Protocol-Version: 1" \ -H "Connect-Timeout-Ms: 1000" \ -H "Content-Type: application/json" \ -d '{}'{
"uploadId": "string",
"direct": {
"uploadUrl": "string",
"uploadUrlPost": "string",
"uploadValues": {
"property1": "string",
"property2": "string"
}
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}